Package com.scriptel.proscript.input

## Class AdjustedCoordinate

- java.lang.Object
- - com.scriptel.proscript.input.AdjustedCoordinate

-     public class AdjustedCoordinate
      extends java.lang.Object

  This class represents a coordinate that has been adjusted for range and aspect.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AdjustedCoordinate​(Coordinate c, CoordinateRange range, Display display)` | Constructor, creates a new instance of this object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `double` | `getX()` |
    `double` | `getY()` |
    `boolean` | `isAspectCorrected()` |
    `boolean` | `isPenDown()` |
    `boolean` | `isRangeCorrected()` |
    `void` | `setAspectCorrected​(boolean aspectCorrected)` |
    `void` | `setPenDown​(boolean penDown)` |
    `void` | `setRangeCorrected​(boolean rangeCorrected)` |
    `void` | `setX​(double x)` |
    `void` | `setY​(double y)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AdjustedCoordinate

          public AdjustedCoordinate​(Coordinate c,
                                    CoordinateRange range,
                                    Display display)

      Constructor, creates a new instance of this object.
      Parameters:
        `c` - Coordinate to correct.
        `range` - Range to apply.
        `display` - Display to match aspect with.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getX

          public double getX()

      Returns:
        the x

    - #### setX

          public void setX​(double x)

      Parameters:
        `x` - the x to set

    - #### getY

          public double getY()

      Returns:
        the y

    - #### setY

          public void setY​(double y)

      Parameters:
        `y` - the y to set

    - #### isAspectCorrected

          public boolean isAspectCorrected()

      Returns:
        the aspectCorrected

    - #### setAspectCorrected

          public void setAspectCorrected​(boolean aspectCorrected)

      Parameters:
        `aspectCorrected` - the aspectCorrected to set

    - #### isRangeCorrected

          public boolean isRangeCorrected()

      Returns:
        the rangeCorrected

    - #### setRangeCorrected

          public void setRangeCorrected​(boolean rangeCorrected)

      Parameters:
        `rangeCorrected` - the rangeCorrected to set

    - #### isPenDown

          public boolean isPenDown()

      Returns:
        the penDown

    - #### setPenDown

          public void setPenDown​(boolean penDown)

      Parameters:
        `penDown` - the penDown to set